#
# spec file for package python-uuid
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-uuid
Version:        1.30
Release:        4.1
Url:            http://zesty.ca/python/
Summary:        UUID object and generation functions (Python 2.3 or higher)
License:        Python-2.0
Group:          Development/Languages/Python
Source:         uuid-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
UUID object and generation functions for Python 2.3 or higher.

%prep
%setup -n uuid-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Wed Dec 28 2011 alexandre@exatati.com.br
- Small changes in spec file.
* Thu Sep 22 2011 saschpe@suse.de
- Simpler spec file
* Wed Dec 29 2010 alexandre@exatati.com.br
- Initial package (1.30) for openSUSE.
